.active{
    font-weight: 700 !important;
    color:white !important;
    background-color: var(--main-orange) !important;
}

.skinchanger-hlaska{
    width: 100%;
    font-size: 18px;
    background-color: rgba(156, 83, 0, 0.562);
    border-radius: 0.4rem;
    text-align: center;
    line-height: 18px;
    padding: 7px;
}

.skinchanger-body{
/*     opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards; */
}

.skinchanger{
    width:70%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
    margin: 0 auto;
    margin-bottom: 50px;

}



@media screen and (max-width: 910px) {
  
    .skinchanger{
        width:90%;
    }

    .skinchanger-left{
        width: 100% !important;
    }

    .skinchanger-right{
        width: 100% !important;
    }
      
}

.skinchanger-left{
    width: 250px;
    height: fit-content;
}

/* navigace */

.skinchanger-nav{
    width:100%;
    background-color: var(--container-background);
    height: fit-content;
    border-radius: 0.5rem;
}

.servers-select{
width:100%;
display:flex;
flex-direction: column;
gap: 10px;
padding: 15px;
text-align: center;
}

h5{
    margin: 0;
    font-weight: 700;
    color:gray;
    width: 100%;
    text-align: center;
}

.servers-select > div{
width:100%;
background-color: var(--button-background);
border-radius: 0.4rem;
font-weight: 600;
font-size: 25px;
line-height: 45px;
}

.servers-select > div:hover{
background-color: var(--main-orange);
cursor: pointer;
}

.teams-select{
width:100%;
display: flex;
flex-wrap: wrap;
justify-content: center;
text-align: center;
padding: 15px;
}


.teams-select > div{
    width: 70px;
    height: 70px;
    background-color: var(--button-background);
    padding: 7px;
}

.teams-select > div:hover{
    background-color: var(--main-orange);
    cursor: pointer;
}

.teams-select > div:nth-of-type(1){
    border-radius: 0.4rem 0 0 0.4rem;
}

.teams-select > div:nth-of-type(2){
    border-radius: 0 0.4rem 0.4rem 0;
}

.teams-select > div > img{
    height: 100%;
    height: 100%;
}

.loadout-select{
    width: 100%;
    padding: 15px;
}

.loadout-select > div{
    width: 100%;
    font-size: 25px;
    text-align: center;
    background-color: var(--button-background);
    border-radius: 0.4rem;
    font-weight: 600;
}

.loadout-select > div:hover{
    background-color: var(--main-orange);
    cursor: pointer;
}

.loadout-noskins-text{
    width: 100%;
    text-align: center;
    font-size: 27px;
    font-weight: 500;
    margin-top: 40px;
    margin-bottom: 40px;
    color: gray;
}


.guns-catalog{
width:100%;
display: flex;
flex-wrap: wrap;
flex-direction: column;
padding: 15px;
gap: 10px;
}

.catalog-dropdown {
    width: 100%;
    height: fit-content;
    text-align: center;
}

.catalog-dropdown-category {
    width: 100%;
    height: 40px;
    font-size: 22px;
    line-height: 40px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    background-color: var(--button-background);
    border-radius: 0.4rem;
    font-weight: 500;
}

.catalog-dropdown-content {
    width: CALC(100% - 10px);
    margin: 0 auto;
    display: none;
    flex-direction: column;
    gap: 5px;
    padding: 10px;
    background-color: var(--component-background);
}

.catalog-dropdown-content > div{
    font-size: 20px;
    line-height: 28px;
    font-weight: 600;
    color: gray;
}

.catalog-dropdown-content > div:hover{
    background-color: var(--component-background-hover);
    cursor: pointer;
    color: white;
}


.catalog-dropdown.open .catalog-dropdown-content {
    display: flex;
}

.arrow {
    margin-top: 6px;
    transition: transform 0.2s ease;
    font-size: 40px;
}

.catalog-dropdown.open .arrow {
    transform: rotate(180deg);
    margin-top: 0px;
    margin-bottom: 6px;
}


/* --------------- */

.skinchanger-right{
    min-width: 250px;
    width: CALC(100% - 265px);
    height: fit-content;
}   

.skinchanger-main-skins{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    padding: 10px;
    background-color: var(--container-background);
    border-radius: 0.5rem;
    margin-bottom:20px;
}

/* karticka skinu */

.selected{
    border: 2px solid var(--main-orange);
    background-color: rgb(58, 48, 35) !important;
}

.selected:hover{
    background-color: rgb(71, 59, 43) !important;
}

.ws-skin{
    position: relative;
    width: 200px;
    height: 200px;
    padding:10px;
    background-color: var(--component-background);
    border-radius: 0.4rem;
    font-weight: 800;
}


.ws-skin::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.2) 0%,
        rgba(0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0.2) 100%
    );
    pointer-events: none;
    z-index: 0;
    border-radius: 0.25rem;
}

.ws-skin > * {
    position: relative;
    z-index: 1;
}

.ws-skin:hover{
    background-color: var(--component-background-hover);
    transform: scale(1.01);
    cursor: pointer;
}

.ws-skin-image{
    width: 180px;
    height: auto;
    position: absolute;
    top: 10px;
}

.ws-skin-toptitle{
    position: absolute;
    bottom: 28px;
    line-height: 17px;
    font-size: 17px;
    color: gray;
    margin: 0;
    border-left: 2px solid;
    padding-left: 4px;
}

.ws-skin-bottomtitle{
    position: absolute;
    bottom: 10px;
    line-height: 18px;
    font-size: 18px;
    color: white;
    margin: 0;
    border-left: 2px solid;
    padding-left: 4px;
}



/* ----------------- */



/* skin settings */

.skinchanger-skin-settings{
    width: 100%;
    display: flex;
    justify-content: space-between;
    background-color: var(--container-background);
    border-radius: 0.5rem;
    padding: 10px;
    gap:20px;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.skinchanger-skin-settings-left{
    width: CALC(100% - 220px);
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    min-width: 288px;
}

.skinchanger-skin-settings-right{
    width: 200px;
}

.float-buttons{
    width: 250px;
    display:flex;
    margin-top:16px;
}

.float-buttons > div{
    width:50px;
    height: 40px;
    font-size: 28px;
    line-height: 40px;
    text-align: center;
    background-color: var(--component-background);
    color: gray;
    font-weight: 500;
}

.float-buttons > div:hover{
    background-color: var(--main-orange);
    cursor: pointer;
}

.float-buttons >div:nth-of-type(1){
    border-radius: 0.25rem 0 0 0.25rem;
}
.float-buttons >div:nth-last-of-type(1){
    border-radius: 0 0.25rem 0.25rem 0;
}

.skinchanger-skin-settings-left input{
    background-color: var(--button-background);
    border-radius: 0.25rem !important;
    color:white;
    padding: 5px 10px;
    font-size: 20px;
    height: 40px;
}

#skin-settings-stattrack{
    width: 30px;
    cursor: pointer;
}

.float-pattern{
    width:100%;
    display:flex;
    flex-wrap: wrap;
    gap: 10px;
}

.nametag-stattrack{
    width:100%;
    display:flex;
    flex-wrap: wrap;
    gap: 10px;
}

.stic-char-save{
    width:100%;
    display:flex;
    flex-wrap: wrap;
    gap: 10px;
}

#skin-settings-save{
margin-left: auto;
}

#skin-settings-save:hover,#skin-settings-stickers:hover  {
background-color: var(--main-orange);
font-weight: 600;
}


.input-group {
    display: flex;
    flex-direction: column;
    width: fit-content;
    align-items: center;
}

.input-group label {
    font-size: 16px;
    color: #a5a5a5;
    font-weight: 500;
    line-height: 16px;
}



/* MODALY */
.stickers-modal{
    /* display:flex; */
    display: none;
    position: fixed;
    z-index: 1000; 
    width: 100%;
    height: 100%;
    top:0;
    left:0;
    overflow: none; 
    background-color: rgba(0, 0, 0, 0.5);
    align-items: center;
    justify-content: center;
}

.stickers-modal.open {
    display: flex;
}

.modal-content{
    width: 50%;
    margin: 0 auto;
    min-width: 500px;
    height: fit-content;
    max-height: 85%;
    min-height: 500px;
    background-color: rgb(27, 27, 27, 0.5);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: flex;
    flex-direction: column;
    border-radius: 0.5rem;
    padding: 10px;
    overflow-y: auto;
    overflow-x: none;
}

.modal-top{
    height: fit-content;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    align-items: center;
    background-color: var(--component-background);
    border-radius:  0.4rem 0.4rem 0 0;
    padding: 10px;
}

.stickers-slots{
    width:fit-content;
    display: flex;
    flex-wrap: wrap;
    gap: 17px;
    justify-content: center;
    padding: 10px;

}

.sticker-slot{
    width: 120px;
    height: 120px;
    border: 2px solid gray;
    position: relative;
    border-radius: 0.5rem;
    background-color: var(--component-background);
}

.sticker-slot:hover{
    background-color: var(--component-background-hover);
    cursor: pointer;
    transform: scale(1.02);
}

.sticker-slot > p {
    position: absolute;
    top: -24px;
    font-size: 18px;
    font-weight: 600;
    color: gray;
    width: 100%;
    text-align: center;
}

.sticker-image{
    width: 100%;
    margin-top: 15px;
}

.slot-selected{
    border: 2px solid var(--main-orange) !important;
    background-color: var(--component-background-hover);
}

.slot-selected > p{
    color: white;
}


.modal-bottom{
    height: fit-content;
    width: 100%;
}

.modal-filter{
    width: 100%;
    background-color: rgba(22, 22, 22, 0.788);
    border-radius:  0 0 0.25rem 0.25rem;
    height: fit-content;
    display: flex;
    justify-content: start;
    gap: 15px;
    padding: 10px;
    flex-wrap: wrap;
}

.input-modal-search{
    background-color: var(--button-background);
    color: white;
    height: 35px;
    font-size: 20px;
    width: 200px;
    border-radius: 0.25rem;
    padding: 0 8px;
}

.modal-search{
    margin-top: 4px;
    position: relative;
    width: 200px;
    height: 35px;
}

.modal-search > i{
    position: absolute;
    right: 10px;
    bottom: 10px;
    color: white;
}

.modal-search:focus-within i{
    color: var(--main-orange) !important;
}



.modal-filter > div > select{
    background-color: var(--button-background);
    color: #ffffff;        
    border-radius: 0.25rem;
    border: none;
    padding: 0 5px;
}

.modal-filter > div > select:focus{
    background-color: rgb(68, 57, 49);
}

.modal-filter > div > select > option:checked{
    background-color: var(--main-orange);
}


.modal-select{
    width: 100%;
    height: CALC(100% - 100px);
    max-height: 400px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    overflow-y: auto;
    overflow-x: none;
    padding: 10px;
}

.modal-select > h3{
    color:gray;
    margin-top: 50px;
    margin-bottom: 50px;
}

.select-sticker{
    width: 100px;
    height: 100px;
    background-color: var(--component-background);
    border-radius: 0.25rem;
}

.select-sticker:hover{
    background-color: var(--component-background-hover);
    cursor: pointer;
}

/* ---------------- */


/* ----------------- */



/* SKin select */

.skinchanger-select{
    border-radius: 0.5rem;
    padding:10px;
    background-color: var(--container-background);
}

.skinchanger-skins-select{
    display: flex;
    flex-wrap: wrap;
    gap:10px;
    justify-content: center;
    width: 100%;
}

.select-filter-nav{
    display: none;
    width: 100%;
    background-color: var(--component-background);
    border-radius: 0.25rem;
    padding: 10px;
    margin-bottom: 15px;
}

.select-filter-nav > div{
    width: 250px;
    position: relative;
}

.select-filter-nav > div > i{
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 20px;
    z-index: 10;
    color: gray;
}

.select-filter-nav:focus-within i {
    color: var(--main-orange);
}

#select-filter{
    background-color: var(--button-background);
    border-radius: 0.25rem !important;
    color:white;
    padding: 5px 10px;
    font-size: 20px;
    height: 40px;
    width: 250px;
    z-index: 1;
}